<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                      module "Friends of friends"                            //
//                        written by Marat Fatikhov                            //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

//  ,  
$inCore->includeFile('components/users/includes/usercore.php');

$my_id = $inUser->id;
$offriends_str  = $inCore->request('offriends_str', 'str', "");

$sql = "SELECT u.id, u.login, u.nickname,u.logdate, p.imageurl, o.user_id as online
       FROM  cms_users u
       LEFT JOIN  cms_user_profiles p ON p.user_id = u.id
       LEFT JOIN cms_online o ON o.user_id = u.id
       WHERE u.id IN ({$offriends_str})";
       
$result = $inDB->query($sql);
       
if(!$inDB->num_rows($result)){ return ;}

$offriends = array();

while($offriend=$inDB->fetch_assoc($result)){
   $offriend['avatar'] = usrImageNOdb($offriend['id'], 'small', $offriend['imageurl'], 0);
   if($offriend['online']){
      $offriend['online'] = '<span class="online"></span>';
   }elseif($offriend['logdate']){
       $offriend['online'] = '<span class="offline">'.$offriend['logdate'].'</span>';
   }
   else{
       $offriend['online'] = '<span class="offline"></span>';
    }
    
  $offriends[] = $offriend;
}

//  
$module_id = $inCore->getModuleId('mod_friends_of_friends');
$cfg = $inCore->loadModuleConfig($module_id);

$is_all = true;

//  
$smarty = $inCore->initSmarty('modules', 'mod_friends_of_friends_popup.tpl');
$smarty->assign('cfg', $cfg);
$smarty->assign('offriends', $offriends);
$smarty->assign('is_all', $is_all);
$smarty->display('mod_friends_of_friends_popup.tpl');

return;
?>
